package com.ym.mec.biz.dal.dto;

import com.ym.mec.biz.dal.enums.CourseStatusEnum;
import com.ym.mec.biz.dal.enums.TeachModeEnum;
import com.ym.mec.biz.dal.enums.YesOrNoEnum;
import com.ym.mec.util.date.DateUtil;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

/**
 * @Author Joburgess
 * @Date 2019/10/9
 */
public class VipGroupCourseSchduleRecordDto {

    @ApiModelProperty(value = "课程编号")
    private Long id;

    @ApiModelProperty(value = "上课时间")
    private java.util.Date startClassTime;

    private String startClassTimeStr;

    @ApiModelProperty(value = "课程结束时间")
    private Date endClassTime;

    private String endClassTimeStr;

    @ApiModelProperty(value = "课程状态  NOT_START未开始，SIGN_IN已签到，SIGN_OUT已签退")
    private CourseStatusEnum status;

    @ApiModelProperty(value = "课程类型")
    private TeachModeEnum teachMode;

    @ApiModelProperty(value = "结算状态")
    private YesOrNoEnum isSalary;

    @ApiModelProperty(value = "上课人数")
    private Integer attendanceNum;
    
    private String schoolName;

    private Integer schooleId;

    @ApiModelProperty(value = "签到时间")
    private Date signInTime;

    private Integer signInStatus;

    @ApiModelProperty(value = "签退时间")
    private Date signOutTime;

    private Integer signOutStatus;

    public Date getSignInTime() {
        return signInTime;
    }

    public void setSignInTime(Date signInTime) {
        this.signInTime = signInTime;
    }

    public Date getSignOutTime() {
        return signOutTime;
    }

    public void setSignOutTime(Date signOutTime) {
        this.signOutTime = signOutTime;
    }

    public Integer getSignInStatus() {
        return signInStatus;
    }

    public void setSignInStatus(Integer signInStatus) {
        this.signInStatus = signInStatus;
    }

    public Integer getSignOutStatus() {
        return signOutStatus;
    }

    public void setSignOutStatus(Integer signOutStatus) {
        this.signOutStatus = signOutStatus;
    }

    public String getStartClassTimeStr() {
        return startClassTimeStr;
    }

    public void setStartClassTimeStr(String startClassTimeStr) {
        this.startClassTimeStr = startClassTimeStr;
    }

    public String getEndClassTimeStr() {
        return endClassTimeStr;
    }

    public void setEndClassTimeStr(String endClassTimeStr) {
        this.endClassTimeStr = endClassTimeStr;
        this.endClassTimeStr = DateUtil.dateToString(endClassTime,"HH:mm");
    }

    public Date getEndClassTime() {
        return endClassTime;
    }

    public void setEndClassTime(Date endClassTime) {
        this.endClassTime = endClassTime;
    }

    public Integer getSchooleId() {
        return schooleId;
    }

    public void setSchooleId(Integer schooleId) {
        this.schooleId = schooleId;
    }

    public Integer getAttendanceNum() {
        return attendanceNum;
    }

    public void setAttendanceNum(Integer attendanceNum) {
        this.attendanceNum = attendanceNum;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Date getStartClassTime() {
        return startClassTime;
    }

    public void setStartClassTime(Date startClassTime) {
        this.startClassTime = startClassTime;
        this.startClassTimeStr = DateUtil.dateToString(startClassTime,"HH:mm");
    }

    public CourseStatusEnum getStatus() {
        return status;
    }

    public void setStatus(CourseStatusEnum status) {
        this.status = status;
    }

    public TeachModeEnum getTeachMode() {
        return teachMode;
    }

    public void setTeachMode(TeachModeEnum teachMode) {
        this.teachMode = teachMode;
    }

    public YesOrNoEnum getIsSalary() {
        return isSalary;
    }

    public void setIsSalary(YesOrNoEnum isSalary) {
        this.isSalary = isSalary;
    }

	public String getSchoolName() {
		return schoolName;
	}

	public void setSchoolName(String schoolName) {
		this.schoolName = schoolName;
	}
}
